Summary:	xfd application to display all characters in a font
Summary(pl.UTF-8):	Aplikacja xfd, wyświetlająca wszystkie znaki z fontu
Name:		xorg-app-xfd
Version:	1.1.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xfd-%{version}.tar.bz2
# Source0-md5:	f9c9f2b101a96d4b50c2a4ab9b5ab5b1
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	fontconfig-devel >= 2.0
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	gettext-tools
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfd application displays all the characters in a font using either the
X11 core protocol or libXft2.

%description -l pl.UTF-8
Aplikacja xfd wyświetla wszystkie znaki z fontu przy użyciu
podstawowego protokołu X11 lub libXft2.

%prep
%setup -q -n xfd-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xfd
%{_datadir}/X11/app-defaults/Xfd
%{_mandir}/man1/xfd.1*
%changelog
* Tue Mar 12 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xfd.git;a=log;h=master

* Tue Mar 12 2019 Jakub Bogusz <qboosh@pld-linux.org> e12bf8f
- updated to 1.1.3

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 56d4dc1
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 9fa7e4e
- updated gettext BR

* Thu Jul 18 2013 Jakub Bogusz <qboosh@pld-linux.org> caa4b85
- fixed build without manx suffix

* Thu Jul 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 15b6184
- updated to 1.1.2

* Thu Feb 16 2012 Jakub Bogusz <qboosh@pld-linux.org> cc00265
- updated to 1.1.1

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> ea3c31c
- dropped pre-cvs changelog

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 1f22dc5
- BR: gettext-devel

* Sat Oct 23 2010 Jakub Bogusz <qboosh@pld-linux.org> 9591036
- updated to 1.1.0
- removed obsolete xaw patch

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b525080
- rel 4

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> aa74157
- new

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> eb2a0d5
- release 3

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 23e321c
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1c66f85
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 08f7268
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 93146cf
- use individual dir, more verbose files, release 1

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 861da9f
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 9c53ba8
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 927b3a8
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 3f7e4de
- pkgconfig epoch

